Subject: Document that TYPO3 CMS is not compatible with MySQL strict modes
Description

TYPO3 is not currently compatible with MySQL configured with "STRICT_TRANS_TABLES" or "STRICT_ALL_TABLES" enabled.

There are currently several issues with this: #20052, #21212, #15295, #18821 and probably many more.

So while this is not solved (if even possible...) we should document how to configure MySQL to avoid this situation, because several
"mysql installation documentation" (i.e. on Windows) recommend setting "STRICT_ALL_TABLES" by default.

Related issues:
related to Core - Bug # 18821: Installer will not create any be_users if unsu... Closed 2008-05-20
related to Core - Bug # 20052: SQL error: 'Incorrect integer value: '' for co... Rejected 2009-02-19
related to Core - Bug # 18866: Cannot create page with Mysl in strict mode (S... Rejected 2008-05-28
related to Core - Bug # 52206: Default-values for text-fields Resolved 2013-09-24
related to Core - Bug # 52204: SQL error: Incorrect integer value: '' for col... Rejected 2013-09-24
related to Core - Bug # 21212: Unable to create a page Resolved 2009-10-09
related to Core - Bug # 15295: Unable to login into BE when using MySQL 5+ Closed 2005-12-19

Associated revisions
Revision 9bbad98c - 2014-01-15 14:14 - Ernesto Baschny

[TASK] Document that TYPO3 is not compatible with MySQL strict mode

Document that in the requirements section of the INSTALL.md.
#1 - 2014-01-09 18:12 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26725

#2 - 2014-01-09 18:44 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26725

#3 - 2014-01-15 14:30 - Ernesto Baschny
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9bbad98c0a9d31da28f1b7aa0e15c679140e3d4f.

#4 - 2014-04-21 23:57 - Patrik Nasfors

I ran into this issue today and after half a day I found that the solution was to disable strict mode.

I will suggest that http://typo3.org/download (and the system requirements page) also be updated with this information and maybe also a short
description of why (like you cannot create new records).
